# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "audio-device"
version = "0.1.0-alpha.4"
authors = ["John-John Tedro <udoprog@tedro.se>"]
autoexamples = false
description = "A library for interacting with audio devices"
homepage = "https://github.com/udoprog/audio"
documentation = "https://docs.rs/audio-device"
readme = "README.md"
keywords = ["buffer", "audio", "dsp"]
categories = ["multimedia::audio"]
license = "MIT/Apache-2.0"
repository = "https://github.com/udoprog/audio"
[package.metadata.docs.rs]
all-features = true
rustdoc-args = ["--cfg", "docsrs"]

[[example]]
name = "alsa-list"
required-features = ["alsa"]

[[example]]
name = "alsa"
required-features = ["alsa"]

[[example]]
name = "wasapi"
required-features = ["wasapi"]

[[example]]
name = "wasapi-async"
required-features = ["wasapi"]

[[example]]
name = "events"
required-features = ["events-driver"]
[dependencies.alsa-sys]
version = "0.1.0-alpha.1"
optional = true
package = "audio-device-alsa-sys"

[dependencies.audio-core]
version = "0.2.0-alpha.3"

[dependencies.libc]
version = "0.2.93"
optional = true

[dependencies.nix]
version = "0.20.0"
optional = true

[dependencies.rand]
version = "0.8.3"

[dependencies.ste]
version = "0.1.0-alpha.9"

[dependencies.thiserror]
version = "1.0.24"

[dependencies.windows]
version = "0.8.0"
optional = true
default-features = false

[dependencies.windows-sys]
version = "0.1.0-alpha.1"
optional = true
package = "audio-device-windows-sys"
[dev-dependencies.anyhow]
version = "1.0"

[dev-dependencies.audio]
version = "0.2.0-alpha.3"

[dev-dependencies.tokio]
version = "1.4.0"
features = ["full"]

[features]
alsa = ["libc", "nix", "alsa-sys"]
default = []
events-driver = ["windows", "windows-sys"]
wasapi = ["windows", "windows-sys", "windows-sys/wasapi", "events-driver"]
